#version 330 core

uniform mat4 viewMatrix = mat4(1);
uniform mat4 projectionMatrix = mat4(1);

layout(location=0)in vec2 vertex;
layout(location=1)in vec2 uv0;
layout(location=2)in vec2 uv1;
layout(location=3)in vec2 sz;

layout(location=4)in float blend;
layout(location=5)in vec4 color;

out struct
{
	vec2 uv0;
	vec2 uv1;
    vec2 sz;
	float blend;
	vec4 color;
}fInfo;

void main()
{

    fInfo.uv0 = uv0;
    fInfo.uv0.y = 1.0-fInfo.uv0.y;
    fInfo.uv1 = uv1;
    fInfo.uv1.y = 1.0-fInfo.uv1.y;
    
    fInfo.sz = sz;

	fInfo.blend = blend;
	fInfo.color = color;
	gl_Position = projectionMatrix*viewMatrix*vec4(vertex, 0, 1);
}